Playlist sub-window stays in background (LXDE/Openbox)

December 15, 2011 22:44 - Aponia71 Aponia71

Status: Rejected Start date: December 15, 2011

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

I think I've found an annoying bug on LXDE (Lubuntu 11.10) for all 3.x versions of audacious. I currently run 3.1.1 version, and i use

audacious with "winamp classic interface" and playlist activated.

When I launch Audacious, both main window and playlist window have focus. But when switching to other programs and then back to

audacious, only the main window appears, the playlist window stay in background. This problem appears not only when switching

with taksbar button, but with ALT+F4 too.

I didn't have this problem with 2.5.x versions.

History

#1 - December 16, 2011 00:12 - John Lindgren

I have noticed the same problem, but didn't realize it was new with 3.x (figured it was an Openbox problem).  Guess I'll have to look into it some more.

#2 - December 16, 2011 19:00 - John Lindgren

- Status changed from New to Rejected

I built 2.5.4, and the problem occurs with that version also.  So it is a regression in Openbox, not Audacious.

#3 - December 16, 2011 23:23 - Aponia71 Aponia71

I just did a test within virtualbox : 2.4.4 version does not have this bug on lubuntu 11.10. Just after upgrading audacious to 3.0 (thanks to ubuntu ppa 

https://launchpad.net/~ferramroberto/+archive/audacious ), the bug appears. Sorry for being so insistent, but I made a video capture of this bug :

http://lapogne.free.fr/files/temp/audacious3-playlist.avi

Maybe 2.5.4 version already had the bug ?

#4 - December 17, 2011 00:14 - John Lindgren

Please point out the problem in the Audacious code, or bisect it to the commit that caused the problem.

#5 - December 17, 2011 04:43 - John Lindgren

I built 2.4.5, and the problem occurs with that version also.  So it is a regression in Openbox, not Audacious.

#6 - December 17, 2011 04:51 - John Lindgren

One thought: what GTK+ version is your 2.4.4 build linked to, and what version is your 3.1.1 build linked to?  It may be a change in GTK+ rather than

Openbox.

#7 - December 17, 2011 11:29 - Aponia71 Aponia71

Hi John, you are certainly right, anyway i'm not C/C++ programmer so I won't be able to point any part of code :)

For your information, installed GTK+ libraries are : 2.24.6-0ubuntu5 for libgtk2.* and 3.2.0-0ubuntu3 for libgtk-3.*, and I have exactly the same

versions in my "virtualboxed" lubuntu. Openbox versions are 3.5.0-0ubuntu3.

I will then wait for an update of GTK+ and/or openbox.
#8 - January 31, 2012 18:49 - mathias dufresne

Hello,

I have the same behaviour here, on several Gentoo.

Here mentioned others version:

x11-libs/gtk+-3.0.12-r1

x11-wm/openbox-3.5.0-r1

and audacious version I've tested:

media-sound/audacious-3.1

media-sound/audacious-2.4.4

When I asked my system to downgrade to version 2.4.4 of audacious, it installed:

media-libs/bio2jack-0.9-r1

media-sound/audacious-2.4.4

media-plugins/audacious-plugins-2.4.4-r1

and nothing else.

I didn't rebuild any lib since.

I made windows focus tests as in the video and now, with audacious-2.4.4, both audacious windows appear when with audacious-3.1 only one was

appearing...

Hoping this would help to understand the root cause.

Kindly regards,

mathias

#9 - February 02, 2012 13:31 - mathias dufresne

Hi,

I've tried on a second Gentoo system: same behaviour. After installing adacious 2.4.4, no more issue. Nothing else than audacious, its plugins and

the jack library was installed.

#10 - February 02, 2012 14:03 - mathias dufresne

Test 2.5.4 version
These are the packages that would be merged, in order:

Calculating dependencies... done!

[ebuild     U  ] media-sound/*audacious-2.5.4* [2.4.4] USE="nls session sse2 (-altivec) -chardet" 1,193 kB

[ebuild     U  ] media-plugins/*audacious-plugins-2.5.4* [2.4.4-r1] USE="aac adplug alsa cue ffmpeg flac gnome ipv6 jack lirc mp3 mtp nls oss

pulseaudio sdl sndfile sse2 vorbis wavpack (-aqua) -bs2b -cdda -fluidsynth -lame -libnotify -libsamplerate -midi -mms -scrobbler -sid" 3,419 kB

Total: 2 packages (2 upgrades), Size of downloads: 4,611 kB

Issue is not here.

Test 3.1 version

These are the packages that would be merged, in order:

Calculating dependencies... done!

[ebuild     U  ] media-sound/*audacious-3.1* [2.5.4] USE="nls session sse2 (-altivec) -chardet" 775 kB

[ebuild     U  ] media-plugins/*audacious-plugins-3.1* [2.5.4] USE="aac adplug alsa cue ffmpeg flac gnome ipv6 jack mp3 mtp nls oss pulseaudio

sndfile sse2 vorbis wavpack (-aqua) -bs2b -cdda -fluidsynth -lame -libnotify -libsamplerate -midi -mms -scrobbler -sid (-lirc%*) (-sdl%*)" 0 kB

Issue appears

I've re-installed 2.5.4 between both tests.

Test 3.0.3 version

These are the packages that would be merged, in order:

Calculating dependencies... done!

[ebuild     U ~] media-sound/*audacious-3.0.3-r1* [2.5.4] USE="nls session sse2 (-altivec) -chardet" 821 kB

[ebuild     U ~] media-plugins/*audacious-plugins-3.0.3* [2.5.4] USE="aac adplug alsa cue ffmpeg flac gnome ipv6 jack mp3 mtp nls oss pulseaudio

sndfile sse2 vorbis wavpack (-aqua) -bs2b -cdda -fluidsynth -lame -libnotify -libsamplerate -midi -mms -scrobbler -sid (-lirc%*) (-sdl%*)" 2,126 kB

Total: 2 packages (2 upgrades), Size of downloads: 2,946 kB

Issue is still there

Test 3.1.1 version

These are the packages that would be merged, in order:

Calculating dependencies... done!

[ebuild     U ~] media-sound/audacious-3.1.1 [3.0.3-r1] USE="nls session sse2 (-altivec) -chardet" 749 kB

[ebuild     U ~] media-plugins/audacious-plugins-3.1.1 [3.0.3] USE="aac adplug alsa cue ffmpeg flac gnome ipv6 jack mp3 mtp nls oss pulseaudio

sndfile sse2 vorbis wavpack (-aqua) -bs2b -cdda -fluidsynth -lame -libnotify -libsamplerate -midi -mms -scrobbler -sid" 2,118 kB

Total: 2 packages (2 upgrades), Size of downloads: 2,866 kB

Issue is still there

Finally I'm back with 2.5.4 because this version is most recent I have which is working well.

I'm not a developer and my knowledge about interactions between software and underlaying libraries is ridiculous, but it seems to me that issue

appears with 3.0 and is still not resolved.

Something else, but this is not important (at all!), using v3.x audacious' GTK interface speak english when it speak french with 2.X ;)

Hoping all that will help you to get rid of that issue.

Cheers,

Mathias
#11 - February 02, 2012 14:40 - mathias dufresne

This should not be rejected!

Test on 3.2:

Playlist issue is still there but at least now GTK interface speak french, good job ;)

Now I'm trying git version... and issue is still there.

So every 3.x version have this issue.

Something else which is linked to that issue: I'm used to place main audacious in bottom left corner. Just upper, stuck to mainwindow, is the playlist.

When I start audacious, Openbox place correctly the playlist but main windows refuse to be displayed at memorized place on the screen. It

memorized playlist window placement but main window is displayed directly upper (far upper) of playlist.

|   main   |

------------   

| playlist |

------------    

rather than

| playlist |

------------

------------ |   main   |

------------

#12 - February 02, 2012 14:41 - mathias dufresne

After all that: thank you a lot for that really app ;)

We complain, obviously, but if weren't satisfied enough, we would have changed ^^

#13 - February 05, 2012 12:30 - Aponia71 Aponia71

Hello,

I've something interesting : in 3.x versions, when playlist is hidden behind other windows, if you click the "playlist" button to deactivate the playlist, and

then click again to reactivate it, the faulty behaviour disappears and Audacious behave as expected, as in 2.x versions.

July 03, 2025 4/5



It seems that doing so corrects some cycle "hidden/not hidden" of the playlist, and then main windows and playlist windows are again synchronized

==> are you sure it is an openbox bug then ??

#14 - November 24, 2012 13:50 - Aponia71 Aponia71

This audacious bug is now too annoying. I looked for alternatives, and found qmmp which seems similar (winamp-like), is compatible with my old

skins, and ... owerall does not have this playlist window bug !! . ... I definitively switched to qmmp. Thanks anyway for maintaining audacious all these

years.
